---
author: nihilist
date: 2024-08-06
gitea_url: "http://git.nowherejezfoltodf4jiyl6r56jnzintap5vyjlia7fkirfsnfizflqd.onion/nihilist/blog-contributions/issues/105"
xmr: 8AUYjhQeG3D5aodJDtqG499N5jXXM71gYKD8LgSsFB9BUV1o7muLv3DXHoydRTK4SZaaUBq4EAUqpZHLrX2VZLH71Jrd9k8
tags:
  - Serverside Anonymity
  - Clearnet Services
---
# Where to host Anonymous Clearnet Services ? 

![](../context/anon_remote.png)

![](0.png)

In this tutorial we're going explain how you can have anonymous clearnet services, which can either remotely or self-hosted. 



## **Hosting an Anonymous Remote Clearnet Service**

The first way to have an Anonymous clearnet service, is Remotely, where you go through a non-KYC cloud provider, and a non-KYC domain provider, in order to obtain a remote VPS and Domain anonymously (using Tor and Monero).

![](1.png)

The idea here is that you always keep Tor between you and the services, so that it remains impossible to prove that you are the owner of said service, from the acquisition of the services, to their actual use (forcing SSH to go through Tor).

## **Self-Hosting an Anonymous Clearnet Service**

The second way to have an Anonymous clearnet service is by self-hosting it, like above, you also need to get yourself a VPS and a domain anonymously, using non-KYC providers/resellers. The VPS must have openvpn installed on it.

Then you need to have a home server, running a local service (let's say with ports 80 and 443),

That same local homeserver must connect to the OpenVPN server, but you must force the VPN connection to go through Tor, to avoid revealing your Home IP to the cloud provider.

And from there, you will be able to port-forward the ports from your local service, to the VPS, while maintaining your Anonymity. 

And of course, if your ISP doesn't allow Tor traffic, we can always hide it using a Trusted VPN, like MullvadVPN.

![](2.png)

Note that such a setup is to be done only when you want to have your server data at home (for example, [self-hosting a mail server, while maintaining Anonymity](../mailprivate/index.md)), if this is not a concern, then you should just host the service remotely as seen above.

